summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-fs/cifs-utils
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-fs/cifs-utils')
-rw-r--r--net-fs/cifs-utils/Manifest4
-rw-r--r--net-fs/cifs-utils/cifs-utils-5.9-r1.ebuild85
-rw-r--r--net-fs/cifs-utils/cifs-utils-6.1-r1.ebuild110
-rw-r--r--net-fs/cifs-utils/cifs-utils-6.3.ebuild105
-rw-r--r--net-fs/cifs-utils/cifs-utils-6.4.ebuild105
-rw-r--r--net-fs/cifs-utils/files/cifs-utils-5.5-initialize_rc_var_properly.patch38
-rw-r--r--net-fs/cifs-utils/files/cifs-utils-5.9-set-parsed_info-got_user-when-a-cred-file.patch31
-rw-r--r--net-fs/cifs-utils/files/cifs-utils-6.1-hardcoded-path.patch44
-rw-r--r--net-fs/cifs-utils/metadata.xml16
9 files changed, 538 insertions, 0 deletions
diff --git a/net-fs/cifs-utils/Manifest b/net-fs/cifs-utils/Manifest
new file mode 100644
index 00000000000..fa5ff8e4536
--- /dev/null
+++ b/net-fs/cifs-utils/Manifest
@@ -0,0 +1,4 @@
+DIST cifs-utils-5.9.tar.bz2 388403 SHA256 ee0d4ae25c54f47362ef4c97cda142224360a2c4a5a8fbf71d87003bf3eaaef2 SHA512 c4d789c6dce2c0927ccc9359147c12151ea9a688bc376c1df21deec66a98669dc4fb6dd8e26d549475d0bbe1e5449ce08fb86e45c765eee7013ec2040c23600e WHIRLPOOL ef4c9b23b2e12a53d936acd19ce10fbe347279ee3c2914a2cbe26d101898bad22606c622ca005af68e0c44605c4137b3633691171387e269caf06542919cec90
+DIST cifs-utils-6.1.tar.bz2 390958 SHA256 381f1e9caccdafdcdb0efa32a4cceb77c1a96b0b58702394e4b86dac4825f3b5 SHA512 6427b74edbf56b865dee38a610c74ac5483cdc13096082cfc1e9d225a048c9b5ee0c7afb30e625a615a0e8e9f3767e33765220e27148e2c2a29d12d4129b01fd WHIRLPOOL a800a02a0729996035a331b460cb28ae5463ddecaf205d88173dc08efd7a2bee577995ebba97b36977858c8435ac3b7ec9c7ce5d193f8b30d0602f9546fed5b1
+DIST cifs-utils-6.3.tar.bz2 392465 SHA256 fff73b2a2547628acba05d324cf096e50f13fa8712f01bf0eb0dbabfe268375b SHA512 d1a16d56852d0b7570c795e04b6cee89a678e18401ec4a48bf734e5c941518c70d2cf82e795ce857c9aad07d9dfee68e96524e5d6e1392283cfee0a8b38e185e WHIRLPOOL e983ce227234cbc3141aac96d41a576b3bfb8a7cd0ea85191287d489b595e22e20bc9115a92b803da49931bcb7ac567cd3133b5729105ce99f6ea39c504535a8
+DIST cifs-utils-6.4.tar.bz2 392809 SHA256 38fc63926af435dae4ebcf4406275580a692d9fb9ee3e32170317cf2ba68e6e3 SHA512 05860ceed1e83b4f4da689d2fc1c1b48fddc0ca53ba52fc6cf26a277d6a884f5780060725c5df1401a665ac35ec5a170262ee62f61095e4a8d76348888182614 WHIRLPOOL 335262eb329860318750fcd081dc2c082f36c75a32e5e596a45b51e73b08be7ee66133c2e4e2bc3089631d3909018abd9c2f36f79d82cd9ea7f6fe2530900f72
diff --git a/net-fs/cifs-utils/cifs-utils-5.9-r1.ebuild b/net-fs/cifs-utils/cifs-utils-5.9-r1.ebuild
new file mode 100644
index 00000000000..008bc47371e
--- /dev/null
+++ b/net-fs/cifs-utils/cifs-utils-5.9-r1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils confutils linux-info
+
+DESCRIPTION="Tools for Managing Linux CIFS Client Filesystems"
+HOMEPAGE="http://wiki.samba.org/index.php/LinuxCIFS_utils"
+SRC_URI="ftp://ftp.samba.org/pub/linux-cifs/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~arm-linux ~x86-linux"
+IUSE="ads +caps caps-ng creds"
+
+DEPEND="!net-fs/mount-cifs
+ !<net-fs/samba-3.6_rc1
+ ads? ( sys-libs/talloc virtual/krb5 sys-apps/keyutils )
+ caps? ( sys-libs/libcap )
+ caps-ng? ( sys-libs/libcap-ng )
+ creds? ( sys-apps/keyutils )"
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="^^ ( caps caps-ng )"
+
+DOCS="doc/linux-cifs-client-guide.odt"
+
+pkg_setup() {
+ linux-info_pkg_setup
+
+ confutils_use_conflict caps caps-ng
+ if ! linux_config_exists || ! linux_chkconfig_present CIFS; then
+ ewarn "You must enable CIFS support in your kernel config, "
+ ewarn "to be able to mount samba shares. You can find it at"
+ ewarn
+ ewarn " File systems"
+ ewarn " Network File Systems"
+ ewarn " CIFS support"
+ ewarn
+ ewarn "and recompile your kernel ..."
+ fi
+}
+
+src_prepare() {
+ # bug #459040
+ epatch "${FILESDIR}"/${P}-set-parsed_info-got_user-when-a-cred-file.patch
+}
+
+src_configure() {
+ ROOTSBINDIR="${EPREFIX}"/sbin \
+ econf \
+ $(use_enable ads cifsupcall) \
+ $(use_with caps libcap) \
+ $(use_with caps-ng libcap-ng) \
+ $(use_enable creds cifscreds) \
+ --with-libcap-ng=$(use caps-ng && echo 'yes' || echo 'no') \
+ --disable-cifsidmap \
+ --disable-cifsacl
+}
+
+src_install() {
+ default
+
+ # remove empty directories
+ find "${ED}" -type d -print0 | xargs --null rmdir \
+ --ignore-fail-on-non-empty &>/dev/null
+}
+
+pkg_postinst() {
+ # Inform about set-user-ID bit of mount.cifs
+ ewarn "setuid use flag was dropped due to multiple security implications"
+ ewarn "such as CVE-2009-2948, CVE-2011-3585 and CVE-2012-1586"
+ ewarn "You are free to set setuid flags by yourself"
+
+ # Inform about upcall usage
+ if use ads ; then
+ ewarn "Using mount.cifs in combination with keyutils"
+ ewarn "in order to mount DFS shares, you need to add"
+ ewarn "the following line to /etc/request-key.conf:"
+ ewarn " create dns_resolver * * /usr/sbin/cifs.upcall %k"
+ ewarn "Otherwise, your DFS shares will not work properly."
+ fi
+}
diff --git a/net-fs/cifs-utils/cifs-utils-6.1-r1.ebuild b/net-fs/cifs-utils/cifs-utils-6.1-r1.ebuild
new file mode 100644
index 00000000000..c51ede49d29
--- /dev/null
+++ b/net-fs/cifs-utils/cifs-utils-6.1-r1.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils linux-info multilib
+
+DESCRIPTION="Tools for Managing Linux CIFS Client Filesystems"
+HOMEPAGE="http://wiki.samba.org/index.php/LinuxCIFS_utils"
+SRC_URI="ftp://ftp.samba.org/pub/linux-cifs/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~arm-linux ~x86-linux"
+IUSE="+acl +ads +caps +caps-ng creds"
+
+DEPEND="!net-fs/mount-cifs
+ !<net-fs/samba-3.6_rc1
+ ads? (
+ sys-apps/keyutils
+ sys-libs/talloc
+ virtual/krb5
+ )
+ caps? ( !caps-ng? ( sys-libs/libcap ) )
+ caps? ( caps-ng? ( sys-libs/libcap-ng ) )
+ creds? ( sys-apps/keyutils )"
+PDEPEND="${DEPEND}
+ acl? ( || (
+ =net-fs/samba-3.6*[winbind]
+ >=net-fs/samba-4.0.0_alpha1
+ ) )
+"
+
+REQUIRED_USE="acl? ( ads )"
+
+DOCS="doc/linux-cifs-client-guide.odt"
+
+pkg_setup() {
+ linux-info_pkg_setup
+
+ if ! linux_config_exists || ! linux_chkconfig_present CIFS; then
+ ewarn "You must enable CIFS support in your kernel config, "
+ ewarn "to be able to mount samba shares. You can find it at"
+ ewarn
+ ewarn " File systems"
+ ewarn " Network File Systems"
+ ewarn " CIFS support"
+ ewarn
+ ewarn "and recompile your kernel ..."
+ fi
+}
+
+src_prepare() {
+ # Do not rely on hardcoded path to systemd-ask-password, bug #478538
+ epatch "${FILESDIR}/${P}-hardcoded-path.patch"
+}
+
+src_configure() {
+ ROOTSBINDIR="${EPREFIX}"/sbin \
+ econf \
+ $(use_enable acl cifsacl cifsidmap) \
+ $(use_enable ads cifsupcall) \
+ $(use caps && use_with !caps-ng libcap || echo --without-libcap) \
+ $(use caps && use_with caps-ng libcap-ng || echo --without-libcap-ng) \
+ $(use_enable creds cifscreds)
+}
+
+src_install() {
+ default
+
+ # remove empty directories
+ find "${ED}" -type d -print0 | xargs --null rmdir \
+ --ignore-fail-on-non-empty &>/dev/null
+
+ if use acl ; then
+ dodir /etc/cifs-utils
+ dosym /usr/$(get_libdir)/cifs-utils/idmapwb.so \
+ /etc/cifs-utils/idmap-plugin
+ dodir /etc/request-key.d
+ echo 'create cifs.idmap * * /usr/sbin/cifs.idmap %k' \
+ > "${ED}/etc/request-key.d/cifs.idmap.conf"
+ fi
+
+ if use ads ; then
+ dodir /etc/request-key.d
+ echo 'create dns_resolver * * /usr/sbin/cifs.upcall %k' \
+ > "${ED}/etc/request-key.d/cifs.upcall.conf"
+ fi
+}
+
+pkg_postinst() {
+ # Inform about set-user-ID bit of mount.cifs
+ ewarn "setuid use flag was dropped due to multiple security implications"
+ ewarn "such as CVE-2009-2948, CVE-2011-3585 and CVE-2012-1586"
+ ewarn "You are free to set setuid flags by yourself"
+
+ # Inform about upcall usage
+ if use acl ; then
+ einfo "The cifs.idmap utility has been enabled by creating the"
+ einfo "configuration file /etc/request-key.d/cifs.idmap.conf"
+ einfo "This enables you to get and set CIFS acls."
+ fi
+
+ if use ads ; then
+ einfo "The cifs.upcall utility has been enabled by creating the"
+ einfo "configuration file /etc/request-key.d/cifs.upcall.conf"
+ einfo "This enables you to mount DFS shares."
+ fi
+}
diff --git a/net-fs/cifs-utils/cifs-utils-6.3.ebuild b/net-fs/cifs-utils/cifs-utils-6.3.ebuild
new file mode 100644
index 00000000000..4b81eb6deba
--- /dev/null
+++ b/net-fs/cifs-utils/cifs-utils-6.3.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils linux-info multilib
+
+DESCRIPTION="Tools for Managing Linux CIFS Client Filesystems"
+HOMEPAGE="http://wiki.samba.org/index.php/LinuxCIFS_utils"
+SRC_URI="ftp://ftp.samba.org/pub/linux-cifs/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~arm-linux ~x86-linux"
+IUSE="+acl +ads +caps +caps-ng creds"
+
+DEPEND="!net-fs/mount-cifs
+ !<net-fs/samba-3.6_rc1
+ ads? (
+ sys-apps/keyutils
+ sys-libs/talloc
+ virtual/krb5
+ )
+ caps? ( !caps-ng? ( sys-libs/libcap ) )
+ caps? ( caps-ng? ( sys-libs/libcap-ng ) )
+ creds? ( sys-apps/keyutils )"
+PDEPEND="${DEPEND}
+ acl? ( || (
+ =net-fs/samba-3.6*[winbind]
+ >=net-fs/samba-4.0.0_alpha1
+ ) )
+"
+
+REQUIRED_USE="acl? ( ads )"
+
+DOCS="doc/linux-cifs-client-guide.odt"
+
+pkg_setup() {
+ linux-info_pkg_setup
+
+ if ! linux_config_exists || ! linux_chkconfig_present CIFS; then
+ ewarn "You must enable CIFS support in your kernel config, "
+ ewarn "to be able to mount samba shares. You can find it at"
+ ewarn
+ ewarn " File systems"
+ ewarn " Network File Systems"
+ ewarn " CIFS support"
+ ewarn
+ ewarn "and recompile your kernel ..."
+ fi
+}
+
+src_configure() {
+ ROOTSBINDIR="${EPREFIX}"/sbin \
+ econf \
+ $(use_enable acl cifsacl cifsidmap) \
+ $(use_enable ads cifsupcall) \
+ $(use caps && use_with !caps-ng libcap || echo --without-libcap) \
+ $(use caps && use_with caps-ng libcap-ng || echo --without-libcap-ng) \
+ $(use_enable creds cifscreds)
+}
+
+src_install() {
+ default
+
+ # remove empty directories
+ find "${ED}" -type d -print0 | xargs --null rmdir \
+ --ignore-fail-on-non-empty &>/dev/null
+
+ if use acl ; then
+ dodir /etc/cifs-utils
+ dosym /usr/$(get_libdir)/cifs-utils/idmapwb.so \
+ /etc/cifs-utils/idmap-plugin
+ dodir /etc/request-key.d
+ echo 'create cifs.idmap * * /usr/sbin/cifs.idmap %k' \
+ > "${ED}/etc/request-key.d/cifs.idmap.conf"
+ fi
+
+ if use ads ; then
+ dodir /etc/request-key.d
+ echo 'create dns_resolver * * /usr/sbin/cifs.upcall %k' \
+ > "${ED}/etc/request-key.d/cifs.upcall.conf"
+ fi
+}
+
+pkg_postinst() {
+ # Inform about set-user-ID bit of mount.cifs
+ ewarn "setuid use flag was dropped due to multiple security implications"
+ ewarn "such as CVE-2009-2948, CVE-2011-3585 and CVE-2012-1586"
+ ewarn "You are free to set setuid flags by yourself"
+
+ # Inform about upcall usage
+ if use acl ; then
+ einfo "The cifs.idmap utility has been enabled by creating the"
+ einfo "configuration file /etc/request-key.d/cifs.idmap.conf"
+ einfo "This enables you to get and set CIFS acls."
+ fi
+
+ if use ads ; then
+ einfo "The cifs.upcall utility has been enabled by creating the"
+ einfo "configuration file /etc/request-key.d/cifs.upcall.conf"
+ einfo "This enables you to mount DFS shares."
+ fi
+}
diff --git a/net-fs/cifs-utils/cifs-utils-6.4.ebuild b/net-fs/cifs-utils/cifs-utils-6.4.ebuild
new file mode 100644
index 00000000000..fba0a5e58d6
--- /dev/null
+++ b/net-fs/cifs-utils/cifs-utils-6.4.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils linux-info multilib
+
+DESCRIPTION="Tools for Managing Linux CIFS Client Filesystems"
+HOMEPAGE="http://wiki.samba.org/index.php/LinuxCIFS_utils"
+SRC_URI="ftp://ftp.samba.org/pub/linux-cifs/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~arm-linux ~x86-linux"
+IUSE="+acl +ads +caps +caps-ng creds"
+
+DEPEND="!net-fs/mount-cifs
+ !<net-fs/samba-3.6_rc1
+ ads? (
+ sys-apps/keyutils
+ sys-libs/talloc
+ virtual/krb5
+ )
+ caps? ( !caps-ng? ( sys-libs/libcap ) )
+ caps? ( caps-ng? ( sys-libs/libcap-ng ) )
+ creds? ( sys-apps/keyutils )"
+PDEPEND="${DEPEND}
+ acl? ( || (
+ =net-fs/samba-3.6*[winbind]
+ >=net-fs/samba-4.0.0_alpha1
+ ) )
+"
+
+REQUIRED_USE="acl? ( ads )"
+
+DOCS="doc/linux-cifs-client-guide.odt"
+
+pkg_setup() {
+ linux-info_pkg_setup
+
+ if ! linux_config_exists || ! linux_chkconfig_present CIFS; then
+ ewarn "You must enable CIFS support in your kernel config, "
+ ewarn "to be able to mount samba shares. You can find it at"
+ ewarn
+ ewarn " File systems"
+ ewarn " Network File Systems"
+ ewarn " CIFS support"
+ ewarn
+ ewarn "and recompile your kernel ..."
+ fi
+}
+
+src_configure() {
+ ROOTSBINDIR="${EPREFIX}"/sbin \
+ econf \
+ $(use_enable acl cifsacl cifsidmap) \
+ $(use_enable ads cifsupcall) \
+ $(use caps && use_with !caps-ng libcap || echo --without-libcap) \
+ $(use caps && use_with caps-ng libcap-ng || echo --without-libcap-ng) \
+ $(use_enable creds cifscreds)
+}
+
+src_install() {
+ default
+
+ # remove empty directories
+ find "${ED}" -type d -print0 | xargs --null rmdir \
+ --ignore-fail-on-non-empty &>/dev/null
+
+ if use acl ; then
+ dodir /etc/cifs-utils
+ dosym /usr/$(get_libdir)/cifs-utils/idmapwb.so \
+ /etc/cifs-utils/idmap-plugin
+ dodir /etc/request-key.d
+ echo 'create cifs.idmap * * /usr/sbin/cifs.idmap %k' \
+ > "${ED}/etc/request-key.d/cifs.idmap.conf"
+ fi
+
+ if use ads ; then
+ dodir /etc/request-key.d
+ echo 'create dns_resolver * * /usr/sbin/cifs.upcall %k' \
+ > "${ED}/etc/request-key.d/cifs.upcall.conf"
+ fi
+}
+
+pkg_postinst() {
+ # Inform about set-user-ID bit of mount.cifs
+ ewarn "setuid use flag was dropped due to multiple security implications"
+ ewarn "such as CVE-2009-2948, CVE-2011-3585 and CVE-2012-1586"
+ ewarn "You are free to set setuid flags by yourself"
+
+ # Inform about upcall usage
+ if use acl ; then
+ einfo "The cifs.idmap utility has been enabled by creating the"
+ einfo "configuration file /etc/request-key.d/cifs.idmap.conf"
+ einfo "This enables you to get and set CIFS acls."
+ fi
+
+ if use ads ; then
+ einfo "The cifs.upcall utility has been enabled by creating the"
+ einfo "configuration file /etc/request-key.d/cifs.upcall.conf"
+ einfo "This enables you to mount DFS shares."
+ fi
+}
diff --git a/net-fs/cifs-utils/files/cifs-utils-5.5-initialize_rc_var_properly.patch b/net-fs/cifs-utils/files/cifs-utils-5.5-initialize_rc_var_properly.patch
new file mode 100644
index 00000000000..2faa853e0a5
--- /dev/null
+++ b/net-fs/cifs-utils/files/cifs-utils-5.5-initialize_rc_var_properly.patch
@@ -0,0 +1,38 @@
+From 0eb3daa4b17ee64b464594f1a5d413ecb364957c Mon Sep 17 00:00:00 2001
+From: Jeff Layton <jlayton@samba.org>
+Date: Thu, 14 Jun 2012 10:59:18 -0400
+Subject: [PATCH 1/1] mount.cifs: set rc to 0 in libcap toggle_dac_capability
+
+Thus spake Jochen:
+
+The mount.cifs program from the cifs-utils package 5.5 did not work on
+my Linux system. It just exited without an error message and did not
+mount anything.
+
+[...]
+
+I think, when this variable rc is now used in this function, it has also
+to be properly initialized there.
+
+Reported-by: Jochen Roderburg <roderburg@uni-koeln.de>
+Signed-off-by: Jeff Layton <jlayton@samba.org>
+---
+ mount.cifs.c | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/mount.cifs.c b/mount.cifs.c
+index a1b0454..6f3f382 100644
+--- a/mount.cifs.c
++++ b/mount.cifs.c
+@@ -495,7 +495,7 @@ free_caps:
+ static int
+ toggle_dac_capability(int writable, int enable)
+ {
+- int rc;
++ int rc = 0;
+ cap_t caps;
+ cap_value_t capability = writable ? CAP_DAC_OVERRIDE : CAP_DAC_READ_SEARCH;
+
+--
+1.7.0.4
+
diff --git a/net-fs/cifs-utils/files/cifs-utils-5.9-set-parsed_info-got_user-when-a-cred-file.patch b/net-fs/cifs-utils/files/cifs-utils-5.9-set-parsed_info-got_user-when-a-cred-file.patch
new file mode 100644
index 00000000000..d06ae015d03
--- /dev/null
+++ b/net-fs/cifs-utils/files/cifs-utils-5.9-set-parsed_info-got_user-when-a-cred-file.patch
@@ -0,0 +1,31 @@
+From: Jeff Layton <jlayton@samba.org>
+Date: Sun, 13 Jan 2013 03:02:01 +0000 (-0500)
+Subject: mount.cifs: set parsed_info->got_user when a cred file supplies a username
+X-Git-Url: https://gitweb.samba.org/?p=cifs-utils.git;a=commitdiff_plain;h=1a01f7c4b90695211d12291d7a24bec05b1f2922
+
+mount.cifs: set parsed_info->got_user when a cred file supplies a username
+
+commit 85d18a1ed introduced a regression when using a credentials file.
+It set the username in the parsed mount info properly, but didn't set
+the "got_user" flag in it.
+
+Also, fix an incorrect strlcpy length specifier in open_cred_file.
+
+Reported-by: "Mantas M." <grawity@gmail.com>
+Signed-off-by: Jeff Layton <jlayton@samba.org>
+---
+
+diff --git a/mount.cifs.c b/mount.cifs.c
+index c7c3055..40b77e9 100644
+--- a/mount.cifs.c
++++ b/mount.cifs.c
+@@ -581,7 +581,8 @@ static int open_cred_file(char *file_name,
+ switch (parse_cred_line(line_buf + i, &temp_val)) {
+ case CRED_USER:
+ strlcpy(parsed_info->username, temp_val,
+- sizeof(parsed_info->domain));
++ sizeof(parsed_info->username));
++ parsed_info->got_user = 1;
+ break;
+ case CRED_PASS:
+ i = set_password(parsed_info, temp_val);
diff --git a/net-fs/cifs-utils/files/cifs-utils-6.1-hardcoded-path.patch b/net-fs/cifs-utils/files/cifs-utils-6.1-hardcoded-path.patch
new file mode 100644
index 00000000000..c2e2ea21d81
--- /dev/null
+++ b/net-fs/cifs-utils/files/cifs-utils-6.1-hardcoded-path.patch
@@ -0,0 +1,44 @@
+From 4e315f6a02a4edb259b33bcf0665eba259fee2f2 Mon Sep 17 00:00:00 2001
+From: =?utf8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 30 Jul 2013 10:00:26 +0200
+Subject: [PATCH] Do not rely on hardcoded path to systemd-ask-password.
+MIME-Version: 1.0
+Content-Type: text/plain; charset=utf8
+Content-Transfer-Encoding: 8bit
+
+Relying on hardcoded /bin/systemd-ask-password path breaks systemd that
+install systemd-ask-password in /usr/bin. Since both paths are supposed
+to be in ${PATH} and popen() passes the command to shell, just pass
+'systemd-ask-password' and let the shell find it.
+
+Fixes: https://bugzilla.samba.org/show_bug.cgi?id=10054
+Signed-off-by: Michał Górny <mgorny@gentoo.org>
+---
+ mount.cifs.c | 4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/mount.cifs.c b/mount.cifs.c
+index e76beee..7206dcb 100644
+--- a/mount.cifs.c
++++ b/mount.cifs.c
+@@ -1626,7 +1626,7 @@ drop_child_privs(void)
+ }
+
+ /*
+- * If systemd is running and /bin/systemd-ask-password --
++ * If systemd is running and systemd-ask-password --
+ * is available, then use that else fallback on getpass(..)
+ *
+ * Returns: @input or NULL on error
+@@ -1649,7 +1649,7 @@ get_password(const char *prompt, char *input, int capacity)
+ FILE *ask_pass_fp = NULL;
+
+ cmd = ret = NULL;
+- if (asprintf(&cmd, "/bin/systemd-ask-password \"%s\"", prompt) >= 0) {
++ if (asprintf(&cmd, "systemd-ask-password \"%s\"", prompt) >= 0) {
+ ask_pass_fp = popen (cmd, "re");
+ free (cmd);
+ }
+--
+1.7.0.4
+
diff --git a/net-fs/cifs-utils/metadata.xml b/net-fs/cifs-utils/metadata.xml
new file mode 100644
index 00000000000..a31a339fc79
--- /dev/null
+++ b/net-fs/cifs-utils/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>samba</herd>
+ <maintainer>
+ <email>samba@gentoo.org</email>
+ <name>Samba Team</name>
+ </maintainer>
+ <longdescription>The in-kernel CIFS filesystem relies on a set of user-space tools. That package of tools is called cifs-utils. Although not really part of Samba proper, these tools were originally part of the Samba package. For several reasons, shipping these tools as part of Samba was problematic and it was deemed better to split them off into their own package</longdescription>
+ <use>
+ <flag name="ads">Enable Active Directory support and create cifs.idmap binary - idmap support</flag>
+ <flag name="caps">libcap support</flag>
+ <flag name="caps-ng">libcap-ng support</flag>
+ <flag name="creds">cifs credentials support</flag>
+ </use>
+</pkgmetadata>